<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnc.shouyun.add.PdaShouYunAddViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    shape_bg_color="@{@color/white}"
                    shape_radius="@{6}"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@color/white">

                    <Spinner
                        hint='@{"请选择通道"}'
                        items="@{viewModel.passageList}"
                        onSelected="@{viewModel::onPassageSelected}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/bg_spinner_pda"
                        android:theme="@style/spinner_normal" />

                </LinearLayout>

                <LinearLayout
                    shape_bg_color="@{@color/white}"
                    shape_radius="@{6}"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="10dp"
                    android:background="@color/white"
                    android:gravity="center_vertical"
                    android:paddingStart="10dp">

                    <EditText
                        setFocusLoseListener="@{viewModel::getCarInfo}"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@null"
                        android:hint="请输入平板车号"
                        android:text="@={viewModel.dataBean.carNo}"
                        android:textColor="@color/text_normal"
                        android:textColorHint="@color/text_gray_l"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="25dp"
                        android:layout_height="25dp"
                        android:layout_marginRight="6dp"
                        android:onClick="@{()-> viewModel.carScanClick()}"
                        android:src="@mipmap/scan_code" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:background="@drawable/bg_gray_borad"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="1dp"
                    android:layout_marginTop="1dp"
                    android:background="@drawable/bg_shouyun_dbcz"
                    android:gravity="center"
                    android:text="地磅称重"
                    android:textColor="@color/text_normal"
                    android:textSize="20sp"
                    android:textStyle="bold" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_margin="1dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_shouyun_dbzl">

                    <TextView
                        visible="@{!viewModel.showWeightEdit}"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:background="@null"
                        android:gravity="center"
                        android:onLongClick="@{()-> viewModel.onWeightLoginClick()}"
                        android:text="@{viewModel.diBangModel.weight}"
                        android:textColor="@color/red"
                        android:textSize="20sp"
                        android:textStyle="bold"
                        tools:text="0.00" />

                    <EditText
                        visible="@{viewModel.showWeightEdit}"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:background="@null"
                        android:gravity="center"
                        android:text="@={viewModel.diBangModel.weight}"
                        android:textColor="@color/red"
                        android:textSize="20sp"
                        android:textStyle="bold"
                        android:visibility="gone"
                        tools:text="0.00" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="5dp"
                        android:text="KG"
                        android:textColor="@color/red" />

                </RelativeLayout>

            </LinearLayout>

        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            shape_bg_color="@{@color/white}"
            shape_radius="@{8}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:paddingHorizontal="10dp"
            android:paddingVertical="5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="运单号"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:gravity="center_vertical"
                        android:paddingStart="10dp">

                        <EditText
                            setFocusLoseListener="@{viewModel::getDetails}"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.wbNo}"
                            android:textSize="14sp" />

                        <ImageView
                            android:layout_width="25dp"
                            android:layout_height="25dp"
                            android:layout_marginRight="6dp"
                            android:onClick="@{()-> viewModel.waybillScanClick()}"
                            android:src="@mipmap/scan_code" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="ULD"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            setFocusLoseListener="@{viewModel::getUldInfo}"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.uld}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="ULD自重"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.uldWeight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="代理人"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            android:id="@+id/spinner_agent"
                            onSelected="@{viewModel::onAgentSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="预配件数"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="0dp">

                        <EditText
                            android:enabled="false"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_pda_input_layout"
                            android:paddingHorizontal="10dp"
                            android:layout_weight="1"
                            android:text="@={viewModel.dataBean.apc}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="件数"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.pc}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>



                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="重量"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.weight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="体积"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:text="@={viewModel.dataBean.volume}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="特码"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            android:id="@+id/spinner_sp_code"
                            onSelected="@{viewModel::onSpCodeSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="承运人"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.carrier}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="航程"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="35dp"
                            android:layout_weight="1"
                            android:background="@drawable/bg_pda_input_layout"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:paddingHorizontal="10dp"
                            android:text="@{viewModel.dataBean.rangeFirst}"
                            android:textSize="14sp" />

                        <View
                            android:layout_width="20dp"
                            android:layout_height="1dp"
                            android:layout_marginHorizontal="10dp"
                            android:background="@color/gray" />

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="35dp"
                            android:layout_weight="1"
                            android:background="@drawable/bg_pda_input_layout"
                            android:enabled="false"
                            android:gravity="center_vertical"
                            android:paddingHorizontal="10dp"
                            android:text="@{viewModel.dataBean.rangeSecond}"
                            android:textSize="14sp" />

                        <View
                            android:layout_width="20dp"
                            android:layout_height="1dp"
                            android:layout_marginHorizontal="10dp"
                            android:background="@color/gray" />

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="35dp"
                            android:layout_weight="1"
                            android:background="@drawable/bg_pda_input_layout"
                            android:gravity="center_vertical"
                            android:paddingHorizontal="10dp"
                            android:text="@={viewModel.dataBean.dest2}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="计划航班"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.flight}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="品名"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.goods}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="体积明细"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.volDetail}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="业务类型"
                        android:textColor="@color/colorPrimary" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            android:id="@+id/spinner_business_type"
                            onSelected="@{viewModel::onBusinessTypeSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="包装类型"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            android:id="@+id/spinner_package_type"
                            onSelected="@{viewModel::onPackageTypeSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="危险品库"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            android:id="@+id/spinner_wxku"
                            onSelected="@{viewModel::onDangerousGoodsSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="危险品描述"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout">

                        <Spinner
                            android:id="@+id/spinner_wxdesc"
                            onSelected="@{viewModel::onDangerousGoodsDescSelected}"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/bg_spinner_pda"
                            android:textSize="14sp"
                            android:theme="@style/spinner_normal" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:text="备注"
                        android:textColor="@color/text_normal" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="35dp"
                        android:background="@drawable/bg_pda_input_layout"
                        android:paddingHorizontal="10dp">

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:text="@={viewModel.dataBean.remark}"
                            android:textSize="14sp" />

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginHorizontal="10dp"
            android:gravity="center_vertical">

            <TextView
                style="@style/tv_bottom_btn"
                android:layout_width="wrap_content"
                android:layout_marginLeft="0dp"
                android:layout_weight="1"
                android:onClick="@{()->viewModel.printClick()}"
                android:text="打印挂签" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                style="@style/tv_bottom_btn"
                android:layout_width="wrap_content"
                android:layout_marginLeft="0dp"
                android:layout_weight="1"
                android:onClick="@{()->viewModel.onVerifyClick()}"
                android:text="校验" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                style="@style/tv_bottom_btn"
                android:layout_width="wrap_content"
                android:layout_marginLeft="0dp"
                android:layout_weight="1"
                android:onClick="@{()->viewModel.onSplitClick()}"
                android:text="分斗" />

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                style="@style/tv_bottom_btn"
                android:layout_width="wrap_content"
                android:layout_marginLeft="0dp"
                android:layout_weight="1"
                android:onClick="@{()->viewModel.onConfirmClick()}"
                android:text="完成收运" />
        </LinearLayout>

    </LinearLayout>
</layout>